#
# spec file for package inn (Version 2.2.3)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake libtool yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim yacc

Name:         inn
Summary:      Inter Net News
Copyright:    1983-1990 The Regents of the University of California.
Group:        Networking/Daemons
Provides:     inn inn_pkg nntp_daemon
Conflicts:    cnews nntpd mininews
Autoreqprov:  on
Version:      2.2.3
Release:      202
%define PatchVersion -%{version}
Source:       ftp://ftp.isc.org/isc/inn/inn%{PatchVersion}.tar.gz
Source1:      doc-inn.tar
Source2:      pubring.pgp
Source3:      inn-emptydb.tar.gz
Patch:        inn-%{version}.dif
Patch1:	      inn-%{version}-v6-20000915.patch
Patch2:	      inn-%{version}-mmapp1.dif
Patch3:	      inn-%{version}-moderators.dif
#
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
#

%description
Rich Salz's InterNetNews news transport system.

Authors:
--------
    Rich Salz     <rsalz@osf.org>
    Andreas Klemm <andreas@knobel.gun.de>
    Vince Skahan  <vince@atc.boeing.com>
    Arjan de Vet  <devet@adv.win.tue.nl>

SuSE series: n

%package -n mininews
Summary:      Inews - post news from an NNTP client
Group:        Networking/Utilities
Provides:     nntp_daemon
Autoreqprov:  on

%description -n mininews
Inews - post news from an NNTP client

Authors:
--------
    Rich Salz     <rsalz@osf.org>

SuSE series: n

%prep
%setup -n inn%{PatchVersion} 
%setup -n inn%{PatchVersion}/doc-inn -T -c -a 1 
%setup -n inn%{PatchVersion} -D -T -a 3
%patch -P 0 
## disabled ipv6 patch
## %patch -P 1 -p 1
%patch -P 2
%patch -P 3
cp -a $RPM_SOURCE_DIR/pubring.pgp .

%build
%{?suse_update_config}
rm configure
autoconf
LDFLAGS="-s" CFLAGS="-O2 -pipe" ./configure \
		--enable-dual-socket \
		--enable-uucp-rnews \
		--enable-setgid-inews \
		--prefix=/usr/lib/news \
		--mandir=%{_mandir} \
		--disable-shared \
		--enable-tagged-hash \
		--with-perl \
		--with-sendmail=/usr/sbin/sendmail \
		--with-news-user=news \
		--with-news-group=news \
		--with-news-master=news \
		--with-etc-dir=/etc/news \
		--with-db-dir=/var/lib/news \
		--with-run-dir=/var/lib/news/run \
		--with-log-dir=/var/log/news \
		--with-spool-dir=/var/spool/news \
		--with-tmp-path=/var/spool/news/in.coming/tmp
make

%install
%{?buildroot:rm -rf $RPM_BUILD_ROOT}
mkdir -p %{buildroot}/etc
mkdir -p %{buildroot}/usr/lib
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/var/lib
mkdir -p %{buildroot}/var/log
mkdir -p %{buildroot}/var/spool
mkdir -p %{buildroot}%{_mandir}
#
make DESTDIR=%{buildroot} install
gzip -f9 %{buildroot}%{_mandir}/*/*
#
#
# 
%define installnews install -o news -g news -m
%{installnews} 0644	subscriptions	%{buildroot}/etc/news
%{installnews} 0644	distributions	%{buildroot}/etc/news
%{installnews} 0644	crontab.sample	%{buildroot}/etc/news
%{installnews} 0644	profile		%{buildroot}/etc/news/.profile
%{installnews} 0755 	-d		%{buildroot}/etc/news/.pgp
%{installnews} 0600	pubring.pgp	%{buildroot}/etc/news/.pgp
%{installnews} 0555 	contrib/findmissing.pl	%{buildroot}/usr/lib/news/bin
%{installnews} 0555	samples/send-uucp.pl	%{buildroot}/usr/lib/news/bin
%{installnews} 0644	samples/send-uucp.cf	%{buildroot}/etc/news
#
# 
#
%{installnews} 0644	inn-emptydb/*	%{buildroot}/var/lib/news
%{installnews} 0755 	-d		%{buildroot}/var/lib/news/backoff
%{installnews} 0775 	-d		%{buildroot}/var/spool/news/control
%{installnews} 0775 	-d		%{buildroot}/var/spool/news/control/cancel
%{installnews} 0775 	-d		%{buildroot}/var/spool/news/junk
#
# compat links
#
ln -sf bin/inews		%{buildroot}/usr/lib/news/inews
ln -sf ../lib/news/bin/inews	%{buildroot}/usr/bin/inews
ln -sf ../lib/news/bin/rnews	%{buildroot}/usr/bin/rnews
#
# 
# 
mkdir -p 		%{buildroot}/var/adm/fillup-templates
install rc.config.inn 	%{buildroot}/var/adm/fillup-templates
mkdir -p 			%{buildroot}/etc/init.d
%{installnews} 0550	rc	%{buildroot}/etc/init.d/inn
mkdir -p 			%{buildroot}/usr/sbin
ln -sf ../../etc/init.d/inn 	%{buildroot}/usr/sbin/rcinn
#
# build filelist
# 
%define filelist %{name}-filelist
find %{buildroot} -type d -printf "/%%P\n" | awk '
! /^\/(etc|usr\/lib|var\/lib|var\/log|var\/spool)\/news/ { next }
{ pfx="" }
/^\/usr\/lib\/news/ { pfx="%attr(755,news,news) " }
$0 == "/etc/news" { pfx="%attr(750,news,news) " }
{ print "%dir " pfx $0 }
' > %{filelist}
find %{buildroot} ! -type d -printf "/%%P\n" | awk '
{ pfx="" }
$0 == "/etc/init.d/inn"                   { pfx="%attr(750,root,news) %config " }
$0 == "/usr/lib/news/bin/inews"           { pfx="%attr(2555,news,news) " }
$0 == "/usr/lib/news/bin/rnews"           { pfx="%attr(4550,news,uucp) " }
$0 == "/usr/lib/news/bin/inndstart"       { pfx="%attr(4554,root,news) " }
$0 == "/usr/lib/news/bin/startinnfeed"    { pfx="%attr(4554,root,news) " }
/^\/(etc\/news|usr\/lib\/news\/bin\/filter|var\/lib\/news)\// {
	pfx="%config(noreplace) "pfx
}
/\/man\/man/ {
	pfx="%doc "pfx
}
{ print pfx $0 }
' >> %{filelist}
#
# 
# 

%pre
test -f var/log/news && mv var/log/news var/log/news.bak
exit 0

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.inn
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.inn and"
  echo "update by hand."
fi
#
# Initialize runlevel symlinks
#
sbin/insserv etc/init.d/inn

%postun
#
# Rearrange run level symlinks 
#
sbin/insserv etc/init.d/

%files -f %{filelist}
%doc CONTRIBUTORS COPYRIGHT ChangeLog INSTALL NEWS README*
%doc doc-inn/* doc/control-messages authprogs

%files -n mininews
%config(noreplace) 	/etc/news/inn.conf
%attr(4550,news,uucp)	/usr/lib/news/bin/rnews
%attr(2555,news,news)	/usr/lib/news/bin/inews
			/usr/bin/[ri]news
			/usr/lib/news/[ri]news
%doc 			%{_mandir}/*/inn.conf.*
%doc 			%{_mandir}/*/[ri]news.*

%changelog -n inn
* Mon Mar 18 2002 - mls@suse.de
- Fixed permissions of /var/lib/news
- Fixed security hole in inews
* Wed Jun 13 2001 - schwab@suse.de
- Fix for new autoconf.
* Tue Mar 13 2001 - ma@suse.de
- Explicitly set permissions for inews(sgid news), rnews(suid news),
  inndstart and startinnfeed (both suid root) in specfile.
* Mon Dec 04 2000 - ma@suse.de
- adopt LSB runlevel and init script scheme
* Thu Nov 23 2000 - ma@suse.de
- IPv6 patch removed
* Fri Oct 13 2000 - ma@suse.de
- Update to inn-2.2.3
- IPv6 patch form http://bofh.st/ipv6/downloads/sith.mimuw.edu.pl
  added.
* Wed Sep 06 2000 - ma@suse.de
- fixed restart, status and reload section in rcinn (#3889)
* Thu Jul 27 2000 - ma@suse.de
- fixed wrong ownership of ~news
* Thu Jul 06 2000 - ma@suse.de
- fixed wrong pathnames in send-uucp.pl
* Mon Jun 19 2000 - ma@suse.de
- fixes some possible on-stack buffer overflows
- using BuildRoot
- add directories for control, control.cancel and junk (#2644)
- article filters marked as config (#1760)
* Fri Mar 31 2000 - schwab@suse.de
- Update config.{guess,sub} from automake.
* Wed Mar 01 2000 - ro@suse.de
- use %%{_mandir}
* Wed Mar 01 2000 - werner@suse.de
- Fix config.guess selection
* Wed Jan 12 2000 - ma@suse.de
- update to 2.2.2 STABLE snapshot 2000-10-01.
  Y2K bugs fixed
- added rnews to mininews subpackage
* Wed Nov 24 1999 - ma@suse.de
- update to 2.2.1 STABLE snapshot 1999-11-23.
  fixes some bugs that cause inn to crash.
* Mon Sep 20 1999 - ro@suse.de
- added Provides nntp_daemon for mininews
* Mon Sep 20 1999 - ro@suse.de
- added Provides nntp_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 30 1999 - ma@suse.de
- update to 2.2.1 (Fixes for possible buffer overflow)
* Tue Jan 19 1999 - uli@suse.de
- update to newer inn sources
- do not have an open inn server as default configuration
- mininews: fixed missing binary, added /etc/news/inn.conf
* Fri Jan 08 1999 - florian@suse.de
- add the FAQ again
- add /usr/sbin/rcinn
* Thu Dec 17 1998 - florian@suse.de
- update to current cvs-version
- fix innfeed.conf to use "inn.feed" directory
* Fri Dec 11 1998 - ro@suse.de
- update to 2.2
* Sat Nov 14 1998 - ro@suse.de
- fix type-conflict for mmap in include/clibrary.h
- build mininews from same specfile
* Sun Sep 20 1998 - ro@suse.de
- dont redeclare sys_errlist for glibc
- change return value of exit in include/clibrary.h to explicit "void"
- add -lcrypt for glibc
* Fri Oct 24 1997 - florian@suse.de
- rework autobuild support
- update to inn 1.7
* Tue Oct 21 1997 - ro@suse.de
- ready for autobuild
* Mon Jun 02 1997 - florian@suse.de
- mv fillup to /var/adm/fillup-templates/
- include correct postinstall script
* Tue May 27 1997 - florian@suse.de
- always use gzip to decompress news-batches
* Thu Apr 10 1997 - florian@suse.de
- all log files are in /var/lib/news/log
- inn doesn't try to look at syslog files
- pgp-verification is ready to be used
- all known security patches and some bug-reports installed
- new faq files and docu cleanup
